petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMPIDenseSetPreallocation

Sets the array used to store the matrix entries

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIDenseSetPreallocation(Mat B,PetscScalar *data)

Not collective Many br

### Input Parameters

B -the matrix Many br
data -optional location of matrix data. Set data=NULL for PETSc Many brto control all matrix memory allocation. Many br

### Notes

The dense format is fully compatible with standard Fortran 77 Many brstorage by columns. Many br

The data input variable is intended primarily for Fortran programmers Many brwho wish to allocate their own matrix memory space. Most users should Many brset data=NULL. Many br

Many br

### Keywords

matrix,dense, parallel

### See Also

MatCreate(), MatCreateSeqDense(), MatSetValues()

Level:intermediate
Location:src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages